/* Header ================ */

:root {
  --header-height: 77px;
  --header-background-color: var(--color-white);

  --logo-width: 47px;

  @media (--laptop-max) {
    --header-height: 62px;
  }

  @media (--tablet-max) {
    --header-height: 50px;
  }
}

.header {
  width: 100%;
  height: var(--header-height);
  position: fixed;
  top: 0;
  left: 0;
  background-color: var(--header-background-color);
  z-index: var(--z-index-header);
}

.header__container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 100%;
}

.header__logo {
  flex-shrink: 0;
}

.logo {
  width: var(--logo-width);
}

.logo__seo-text {
  position: absolute;
  left: -100%;
  visibility: hidden;
}

.logo__link {
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
}

.header__navigation {
  flex-grow: 1;
  align-self: stretch;
}

.header__contact-block {
  flex-shrink: 0;
  margin-left: auto;

  + .header__button-menu {
    margin-left: 20px;
  }
}

.header__button-menu {

  @media (--laptop-small-min) {
    display: none;
  }
}

.contact-us {
  display: flex;
  flex-direction: column;
  text-align: right;
}

.contact-us__link-phone {
  display: flex;
  align-items: center;
  font-weight: var(--text-font-weight-bold);
  text-decoration: none;
  color: var(--color-black-light);

  .icon {
    --icon-size: 19px;

    width: var(--icon-size);
    height: var(--icon-size);
    margin-right: 10px;
    color: var(--color-primary);

    @media (--laptop-max) {
      --icon-size: 14px;
      margin-right: 5px;
    }
  }

  @media (--laptop-max) {
    font-size: 14px;
  }
}

.contact-us__link-popup {
  font-size: 14px;
  text-transform: uppercase;

  @media (--laptop-max) {
    font-size: 12px;
  }

  &:hover {
    text-decoration: none;
  }
}
/* ================ end header */
